]> jfr.im git - irc/rqf/shadowircd.git/blobdiff - configure
Remove unused declaration.
[irc/rqf/shadowircd.git] / configure
index 0b455ab7d78b2410df23cac5951c6ffd79cbaad5..7056ef28b83e15c937784a59fe213069b3b79032 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.61 for charybdis 3.1.
+# Generated by GNU Autoconf 2.61 for charybdis 3.1.0.
 #
 # $Id: configure.ac 3516 2007-06-10 16:14:03Z jilles $
 #
 #
 # $Id: configure.ac 3516 2007-06-10 16:14:03Z jilles $
 #
@@ -574,8 +574,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='charybdis'
 PACKAGE_TARNAME='charybdis'
 # Identity of this package.
 PACKAGE_NAME='charybdis'
 PACKAGE_TARNAME='charybdis'
-PACKAGE_VERSION='3.1'
-PACKAGE_STRING='charybdis 3.1'
+PACKAGE_VERSION='3.1.0'
+PACKAGE_STRING='charybdis 3.1.0'
 PACKAGE_BUGREPORT=''
 
 ac_default_prefix=$HOME/ircd
 PACKAGE_BUGREPORT=''
 
 ac_default_prefix=$HOME/ircd
@@ -1222,7 +1222,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures charybdis 3.1 to adapt to many kinds of systems.
+\`configure' configures charybdis 3.1.0 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1283,7 +1283,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of charybdis 3.1:";;
+     short | recursive ) echo "Configuration of charybdis 3.1.0:";;
    esac
   cat <<\_ACEOF
 
    esac
   cat <<\_ACEOF
 
@@ -1397,7 +1397,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-charybdis configure 3.1
+charybdis configure 3.1.0
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -1413,7 +1413,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by charybdis $as_me 3.1, which was
+It was created by charybdis $as_me 3.1.0, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
 # Check whether --with-nicklen was given.
 if test "${with_nicklen+set}" = set; then
   withval=$with_nicklen;
 # Check whether --with-nicklen was given.
 if test "${with_nicklen+set}" = set; then
   withval=$with_nicklen;
+  if ! expr "$withval" + 0 >/dev/null 2>&1; then
+       { { echo "$as_me:$LINENO: error: NICKLEN must be a numeric value" >&5
+echo "$as_me: error: NICKLEN must be a numeric value" >&2;}
+   { (exit 1); exit 1; }; }
+  fi
   if test $withval -ge 50; then
        NICKLEN=50
        { echo "$as_me:$LINENO: WARNING: NICKLEN has a hard limit of 50. Setting NICKLEN=50" >&5
   if test $withval -ge 50; then
        NICKLEN=50
        { echo "$as_me:$LINENO: WARNING: NICKLEN has a hard limit of 50. Setting NICKLEN=50" >&5
@@ -12888,81 +12893,6 @@ echo "${ECHO_T}no" >&6; }
  fi
 
 
  fi
 
 
- { echo "$as_me:$LINENO: checking GCC flag(s) -Wbad-function-cast" >&5
-echo $ECHO_N "checking GCC flag(s) -Wbad-function-cast... $ECHO_C" >&6; }
- if test "${GCC-no}" = yes
- then
-  if test "${charybdis_cv_c_gcc_w_bad_function_cast+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
-   oldcflags="${CFLAGS-}"
-   CFLAGS="${CFLAGS-} ${CWARNS} -Wbad-function-cast -Werror"
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-#include <string.h>
-#include <stdio.h>
-int main(void);
-
-int
-main ()
-{
-
-    (void)strcmp("a","b"); fprintf(stdout,"test ok\n");
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  charybdis_cv_c_gcc_w_bad_function_cast=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       charybdis_cv_c_gcc_w_bad_function_cast=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-   CFLAGS="${oldcflags}"
-fi
-
-  if test "x$charybdis_cv_c_gcc_w_bad_function_cast" = xyes; then
-   CWARNS="${CWARNS}-Wbad-function-cast "
-   { echo "$as_me:$LINENO: result: ok" >&5
-echo "${ECHO_T}ok" >&6; }
-  else
-   charybdis_cv_c_gcc_w_bad_function_cast=''
-   { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-  fi
- else
-  { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
- fi
-
-
  { echo "$as_me:$LINENO: checking GCC flag(s) -Wunused-function -Wunused-label -Wunused-value -Wunused-variable" >&5
 echo $ECHO_N "checking GCC flag(s) -Wunused-function -Wunused-label -Wunused-value -Wunused-variable... $ECHO_C" >&6; }
  if test "${GCC-no}" = yes
  { echo "$as_me:$LINENO: checking GCC flag(s) -Wunused-function -Wunused-label -Wunused-value -Wunused-variable" >&5
 echo $ECHO_N "checking GCC flag(s) -Wunused-function -Wunused-label -Wunused-value -Wunused-variable... $ECHO_C" >&6; }
  if test "${GCC-no}" = yes
@@ -13188,8 +13118,8 @@ echo "${ECHO_T}no" >&6; }
  fi
 
 
  fi
 
 
- { echo "$as_me:$LINENO: checking GCC flag(s) -Wformat -Wformat-y2k -Wformat-security" >&5
-echo $ECHO_N "checking GCC flag(s) -Wformat -Wformat-y2k -Wformat-security... $ECHO_C" >&6; }
+ { echo "$as_me:$LINENO: checking GCC flag(s) -Wformat -Wformat-y2k -Wno-format-security" >&5
+echo $ECHO_N "checking GCC flag(s) -Wformat -Wformat-y2k -Wno-format-security... $ECHO_C" >&6; }
  if test "${GCC-no}" = yes
  then
   if test "${charybdis_cv_c_gcc_w_format+set}" = set; then
  if test "${GCC-no}" = yes
  then
   if test "${charybdis_cv_c_gcc_w_format+set}" = set; then
@@ -13197,7 +13127,7 @@ echo $ECHO_N "checking GCC flag(s) -Wformat -Wformat-y2k -Wformat-security... $E
 else
 
    oldcflags="${CFLAGS-}"
 else
 
    oldcflags="${CFLAGS-}"
-   CFLAGS="${CFLAGS-} ${CWARNS} -Wformat -Wformat-y2k -Wformat-security -Werror"
+   CFLAGS="${CFLAGS-} ${CWARNS} -Wformat -Wformat-y2k -Wno-format-security -Werror"
    cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
    cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -13249,7 +13179,7 @@ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
 
   if test "x$charybdis_cv_c_gcc_w_format" = xyes; then
 fi
 
   if test "x$charybdis_cv_c_gcc_w_format" = xyes; then
-   CWARNS="${CWARNS}-Wformat -Wformat-y2k -Wformat-security "
+   CWARNS="${CWARNS}-Wformat -Wformat-y2k -Wno-format-security "
    { echo "$as_me:$LINENO: result: ok" >&5
 echo "${ECHO_T}ok" >&6; }
   else
    { echo "$as_me:$LINENO: result: ok" >&5
 echo "${ECHO_T}ok" >&6; }
   else
@@ -13263,81 +13193,6 @@ echo "${ECHO_T}no" >&6; }
  fi
 
 
  fi
 
 
- { echo "$as_me:$LINENO: checking GCC flag(s) -pedantic" >&5
-echo $ECHO_N "checking GCC flag(s) -pedantic... $ECHO_C" >&6; }
- if test "${GCC-no}" = yes
- then
-  if test "${charybdis_cv_c_gcc_pedantic+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
-   oldcflags="${CFLAGS-}"
-   CFLAGS="${CFLAGS-} ${CWARNS} -pedantic -Werror"
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-#include <string.h>
-#include <stdio.h>
-int main(void);
-
-int
-main ()
-{
-
-    (void)strcmp("a","b"); fprintf(stdout,"test ok\n");
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  charybdis_cv_c_gcc_pedantic=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       charybdis_cv_c_gcc_pedantic=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-   CFLAGS="${oldcflags}"
-fi
-
-  if test "x$charybdis_cv_c_gcc_pedantic" = xyes; then
-   CWARNS="${CWARNS}-pedantic "
-   { echo "$as_me:$LINENO: result: ok" >&5
-echo "${ECHO_T}ok" >&6; }
-  else
-   charybdis_cv_c_gcc_pedantic=''
-   { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-  fi
- else
-  { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
- fi
-
-
 IRC_CFLAGS="$CFLAGS"
 
 fi
 IRC_CFLAGS="$CFLAGS"
 
 fi
@@ -14461,7 +14316,7 @@ exec 6>&1
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by charybdis $as_me 3.1, which was
+This file was extended by charybdis $as_me 3.1.0, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -14510,7 +14365,7 @@ Report bugs to <bug-autoconf@gnu.org>."
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-charybdis config.status 3.1
+charybdis config.status 3.1.0
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"